Next Commerce
Customers

Users List

Retrieve a list of customers.

GET
/users/

Authorization

oauth2 users:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: users:read

Query Parameters

email?string

Email

name?string

Name

phone_number?string
language?|

Language

  • en - English
  • fr - Français
  • th - ภาษาไทย
  • de - Deutsch
  • sv - Svenska
  • no - Norsk
  • it - Italiano
  • es - Español
  • nl - Nederlands
  • pt - Português
  • da - Dansk
  • fi - Suomi

Value in

  • "da"
  • "de"
  • "en"
  • "es"
  • "fi"
  • "fr"
  • "it"
  • "nl"
  • "no"
  • "pt"
  • "sv"
  • "th"
user_type?string
date_joined_from?string

YYYY-MM-DD

Formatdate
date_joined_to?string

YYYY-MM-DD

Formatdate
is_blocked?boolean
accepts_marketing?boolean
cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Response Body

application/json

curl -X GET "https://example.com/users/" \  -H "X-29next-API-Version: unstable"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "accepts_marketing": true,      "addresses": [        {          "country": "string",          "first_name": "string",          "id": 0,          "is_default_for_billing": true,          "is_default_for_shipping": true,          "last_name": "string",          "line1": "string",          "line2": "string",          "line3": "string",          "line4": "string",          "notes": "string",          "phone_number": "string",          "postcode": "string",          "state": "string"        }      ],      "date_joined": "2019-08-24T14:15:22Z",      "email": "user@example.com",      "first_name": "string",      "id": 0,      "ip": "string",      "is_blocked": false,      "language": "en",      "last_name": "string",      "metadata": null,      "orders_count": 0,      "phone_number": "string",      "subscriptions_count": 0,      "tags": [        "string"      ],      "total_spent": "0.00",      "user_agent": "string",      "user_type": "customer"    }  ]}